#ifdef RCSID
static char RCSid[] =
"$Header$";
#endif

/* Copyright (c) 2000 by Michael J. Roberts.  All Rights Reserved. */
/*
Name
  w32t2.cpp - TADS 2 version-specific implementation
Function
  
Notes
  
Modified
  01/20/00 MJRoberts  - Creation
*/


#include <Windows.h>

#include "w32main.h"
#include "tadsdlg.h"
#include "tadsapp.h"
#include "htmlres.h"

/* ------------------------------------------------------------------------ */
/*
 *   Main interpreter "about box" dialog 
 */
class CTadsDlg_htabout: public CTadsDialog
{
public:
    /* initialize the dialog */
    void init();
};


/*
 *   initialize
 */
void CTadsDlg_htabout::init()
{
    char buf[128];
    HBITMAP bmp;

    /* inherit default */
    CTadsDialog::init();

    /* 
     *   load our first bitmaps and set the static controls accordingly -
     *   this ensures that we map the 3d colors to match the dialog
     *   background, which the dialog loader won't do on its own 
     */
    bmp = (HBITMAP)LoadImage(CTadsApp::get_app()->get_instance(),
                             MAKEINTRESOURCE(IDB_BMP_ABOUTLBL4), IMAGE_BITMAP,
                             0, 0, LR_LOADMAP3DCOLORS);
    SendMessage(GetDlgItem(handle_, IDC_BMP_1), STM_SETIMAGE,
                IMAGE_BITMAP, (LPARAM)bmp);

    /* load our other bitmap the same way */
    bmp = (HBITMAP)LoadImage(CTadsApp::get_app()->get_instance(),
                             MAKEINTRESOURCE(IDB_BMP_ABOUTLBL2), IMAGE_BITMAP,
                             0, 0, LR_LOADMAP3DCOLORS);
    SendMessage(GetDlgItem(handle_, IDC_BMP_2), STM_SETIMAGE,
                IMAGE_BITMAP, (LPARAM)bmp);

    /* set up the correct version number string */
    sprintf(buf, "Version %s", w32_version_string);
    SetDlgItemText(handle_, IDC_TXT_ABOUTVSN, buf);
}


/* ------------------------------------------------------------------------ */
/* 
 *   run the interpreter's about box dialog 
 */
void vsn_run_terp_about_dlg(HWND owner)
{
    CTadsDialog *dlg;

    /* create the dialog */
    dlg = new CTadsDlg_htabout();

    /* run it */
    dlg->run_modal(DLG_RT_ABOUT, owner,
                   CTadsApp::get_app()->get_instance());

    /* done with the dialog - delete it */
    delete dlg;
}

/* ------------------------------------------------------------------------ */
/*
 *   list memory blocks in the TADS 2 subsystem
 */

#ifdef TADSHTML_DEBUG

void th_list_subsys_memory_blocks()
{
    /* there's no separate tads 2 memory subsystem lister */
}

#endif /* TADSHTML_DEBUG */

