#ifdef RCSID
static char RCSid[] =
"$Header$";
#endif

/* Copyright (c) 2000, 2002 by Michael J. Roberts.  All Rights Reserved. */
/*
Name
  w32t3.cpp - TADS 3 version-specific implementation
Function
  
Notes
  
Modified
  01/20/00 MJRoberts  - Creation
*/

#include <Windows.h>

#include "t3std.h"

#include "w32main.h"
#include "tadsdlg.h"
#include "tadsapp.h"
#include "htmlres.h"
#include "w32abt.h"
#include "hos_w32.h"

/*
 *   Text to display in the "credits" dialog - this is RTF, which is why
 *   it looks a little weird.  
 */
char w32t3_credits_txt[] =
    "{\\rtf1\\ansi\\ansicpg1252\\uc1"
    "\\deff0\\deflang1033\\deflangfe1033"
    "{\\fonttbl{\\f0\\froman\\fcharset0\\fprq2{\\*\\panose"
    "02020603050405020304}Times New Roman;}}"
    "{\\colortbl;\\red0\\green0\\blue0;\\red255\\green255\\blue255;"
    "\\red0\\green0\\blue127;}"
    "{\\qc\\fs24"
    "\\par\\par\\par"
    "{\\cf3{\\fs36\\b HTML TADS 3}\\par"
    "{\\fs24\\i\\b for Windows 95/98/Me/NT/2000/XP}}\\par"
    "\\par"
    ""
    "{\\b Designed and Programmed by}\\par"
    "{Michael J. Roberts}\\par"
    "\\par"
    ""
    "{\\b JPEG Implementation}\\par"
    "{The Independent JPEG Group}\\par"
    "\\par"
    ""
    "{\\b PNG Implementation}\\par"
    "{\\i The PNG Reference Library}\\par"
    "{by Andreas Eric Dilger, Guy Eric Schalnat, and "
    "other Contributing Authors}\\par"
    "{\\i The ZLIB Compression Library}\\par"
    "{by Jean-loup Gailly and Mark Adler}\\par\\par"
    "{\\b MNG Implementation}\\par"
    "{\\i libmng}\\par"
    "{by Gerard Juyn}\\par\\par"
    ""
    "{\\b Ogg Vorbis Decoding}\\par"
    "{\\i The libvorbis SDK}\\par"
    "{by Xiphophorus}\\par\\par"
    ""
    "{\\b MPEG Audio Implementation}\\par"
    "{\\i The amp MPEG Audio Decoder}\\par"
    "{by Tomislav Uzelac}\\par"
    "\\par"
    "{\\b Mr. Roberts' Text Editor}\\par"
    "{{\\i Epsilon}\\par by Lugaru}\\par\\par"
    ""
    "{Thanks to Neil K. Guy, Stephen Granade, Kevin Forchione, "
    "TenthStone, Adam J. Thornton, Suzanne Britton, Iain Merrick, "
    "Andrew Pontious, Dan Shiovitz, Jesse Welton, Frantisek Fuka, "
    "Sean T. Barrett, Phil Lewis, Dan Schmidt, BrenBarn, and Steve Breslin "
    "for their advice and help creating this system.  Thanks also to "
    "Andrew Pontious, Iain Merrick, and Chris Nebel for creating the "
    "Macintosh versions of TADS; Stephen Granade for WinTADS; "
    "and Andrew Plotkin for MaxTADS.  "
    "The author would like to thank everyone else who has "
    "contributed to TADS with ideas, bug reports, code, and "
    "enthusiasm.}\\par"
    "\\par"
    ""
    "{This program is freeware, and may be used and redistributed "
    "without charge, subject to certain restrictions.  Please refer "
    "to the accompanying license text file for details.}\\par"
    "\\par"
    ""
    "{\\b Copyright \\'A9 1997, 2002 by Michael J. Roberts}\\par"
    "{\\b All Rights Reserved}\\par"
    "\\par"
    ""
    "{\\fs20"
    "{Portions of this software are based on the work of the "
    "Independent JPEG Group.}\\par"
    "\\par"
    "{This software incorporates the PNG Reference Library, developed by "
    "Andreas Eric Dilger, Guy Eric Schalnat, and other Contributing "
    "Authors.}\\par"
    "\\par"
    "{This software includes the ZLIB Compression Library, written by "
    "Jean-loup Gailly and Mark Adler.}\\par"
    "\\par"
    "{This software includes libmng, the reference MNG library, "
    "by Gerard Juyn.}\\par"
    "\\par"
    "{This software includes the libvorbis Ogg Vorbis decoder, "
    "copyright 2001, Xiphophorus.}\\par"
    "\\par"
    "{This software includes portions of the amp MPEG audio decoder, "
    "copyright 1996, 1997 by Tomislav Uzelac.}\\par"
    "}\\par"
    ""
    "{Created in Palo Alto, California, USA}\\par"
    "\\par"
    ""
    "}"
    "}"
;

/* ------------------------------------------------------------------------ */
/* 
 *   run the interpreter's about box dialog 
 */
void vsn_run_terp_about_dlg(HWND owner)
{
    CTadsWinAboutTads3 *dlg;
    
    /* 
     *   create the window - it'll take care of the rest (including
     *   deleting itself when the user closes it)
     */
    dlg = new CTadsWinAboutTads3(IDB_ABOUT_TADS3, w32t3_credits_txt);
    dlg->create_system_window(0, owner, TRUE, "About TADS", 0,
                              new CTadsSyswin(dlg));
}


/* ------------------------------------------------------------------------ */
/*
 *   list memory blocks in the T3 VM subsystem 
 */

#ifdef TADSHTML_DEBUG

void th_list_subsys_memory_blocks()
{
    t3_list_memory_blocks(&os_dbg_sys_msg);
}

#endif /* TADSHTML_DEBUG */

